* UPDATE.CMD
ERASE
RELEASE ALL
STORE " " TO ANSWER
DO WHILE T
SET FORMAT TO UPDATEMN
READ
DO CASE
CASE ANSWER = "1"
ERASE
USE APEXMAIL INDEX MAILCOMP,MAILZIP
APPEND
ERASE
CASE ANSWER = "2"
DO SEARCH
IF *
RECALL
ELSE
DELETE
ENDIF
CASE ANSWER = "3"
DO SEARCH
IF # = 0
RETURN
ENDIF
ERASE
EDIT #
ERASE
CASE ANSWER = "4"
ERASE
?
?
?
? "WARNING!    WARNING!   WARNING!"
?
?
? "If you continue with this command, all files"
? "marked for deletion will be PERMANENTLY erased."
?
? "Type 'yes' to continue, anything else to abort."
?
ACCEPT  TO PERMS
IF !(PERMS) = "YES"
USE APEXMAIL INDEX MAILCOMP,MAILZIP
PACK
ENDIF
ERASE
CASE ANSWER = "5"
RETURN
ENDCASE
STORE " " TO ANSWER
STORE "   " TO PERMS
ENDDO
